# Uses of Class
org.eclipse.swt.dnd.DropTargetEffect

Packages that use DropTargetEffect
Package
Description
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.dnd
SWT Drag and Drop support.

## Uses of DropTargetEffect in org.eclipse.swt.custom

Subclasses of DropTargetEffect in org.eclipse.swt.custom
Modifier and Type
Class
Description
`class`
`StyledTextDropTargetEffect`
This adapter class provides a default drag under effect (eg. select and scroll) when a drag occurs over a `StyledText`.

## Uses of DropTargetEffect in org.eclipse.swt.dnd

Subclasses of DropTargetEffect in org.eclipse.swt.dnd
Modifier and Type
Class
Description
`class`
`TableDropTargetEffect`
This class provides a default drag under effect (eg. select, insert and scroll) when a drag occurs over a `Table`.
`class`
`TreeDropTargetEffect`
This class provides a default drag under effect (eg. select, insert, scroll and expand) when a drag occurs over a `Tree`.
Methods in org.eclipse.swt.dnd that return DropTargetEffect
Modifier and Type
Method
Description
`DropTargetEffect`
DropTarget.`getDropTargetEffect()`
Returns the drop effect for this DropTarget.
Methods in org.eclipse.swt.dnd with parameters of type DropTargetEffect
Modifier and Type
Method
Description
`void`
DropTarget.`setDropTargetEffect(DropTargetEffect effect)`
Specifies the drop effect for this DropTarget.